Check out the current cart into an order
curl --request POST \
--url https://asikodevapi.candourit.io/v1/orders/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"type": "RETAIL",
"addressId": "b6a1e2d4-8f3c-4a5b-9e2d-1f4c6a8b9d0e",
"deliveryMethod": "STANDARD_DELIVERY",
"paymentMethod": "PAYSTACK",
"recipientName": "Jane Doe"
}
'import requests
url = "https://asikodevapi.candourit.io/v1/orders/checkout"
payload = {
"type": "RETAIL",
"addressId": "b6a1e2d4-8f3c-4a5b-9e2d-1f4c6a8b9d0e",
"deliveryMethod": "STANDARD_DELIVERY",
"paymentMethod": "PAYSTACK",
"recipientName": "Jane Doe"
}
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'RETAIL',
addressId: 'b6a1e2d4-8f3c-4a5b-9e2d-1f4c6a8b9d0e',
deliveryMethod: 'STANDARD_DELIVERY',
paymentMethod: 'PAYSTACK',
recipientName: 'Jane Doe'
})
};
fetch('https://asikodevapi.candourit.io/v1/orders/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
orders
Check out the current cart into an order
POST
/
v1
/
orders
/
checkout
Check out the current cart into an order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Available options:
RETAIL, TRADE Example:
"RETAIL"
Must be the id of one of the caller's saved addresses (GET /users/me/addresses).
Example:
"b6a1e2d4-8f3c-4a5b-9e2d-1f4c6a8b9d0e"
Available options:
STANDARD_DELIVERY, NEXT_DAY_DELIVERY, PICKUP Example:
"STANDARD_DELIVERY"
Available options:
STRIPE, PAYPAL, PAYSTACK, INVOICE Example:
"PAYSTACK"
Defaults to the account holder's name — set this only when the order is for someone else.
Example:
"Jane Doe"
Response
201 - undefined
⌘I